Sign Android Application
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Sign Android Application action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Sign Android App",
"type": "ANDROID_SIGN",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "my-app-unsigned-aligned.apk",
"output_dir": "out",
"application_name": "my-app-release.apk",
"key_path": "my-release-key.jks",
"key_alias": "",
"key_password": "${key_password}",
"keystore_password": "${keystore_password}",
"build_tool_version": "26.0.2"
}'STATUS200 OK